org.apache.commons.jelly.tags.core

## Class ForEachTag.LoopStatus

- java.lang.Object
- - org.apache.commons.jelly.tags.core.ForEachTag.LoopStatus

All Implemented Interfaces:
  javax.servlet.jsp.jstl.core.LoopTagStatus

Enclosing class:
  ForEachTag

    public static final class ForEachTag.LoopStatus
    extends Object
    implements javax.servlet.jsp.jstl.core.LoopTagStatus

Holds the status of the loop.

### Constructor Summary

Constructors
Constructor and Description
`ForEachTag.LoopStatus(Integer begin, Integer end, Integer step)`

### Method Summary

Methods
`Integer` `getBegin()`
`int` `getCount()`
`Object` `getCurrent()`
`Integer` `getEnd()`
`int` `getIndex()`
`Integer` `getStep()`
`boolean` `isFirst()`
`boolean` `isLast()`
`void` `setCount(int count)`
`void` `setCurrent(Object current)`
`void` `setFirst(boolean first)`
`void` `setIndex(int index)`
`void` `setLast(boolean last)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForEachTag.LoopStatus

    public ForEachTag.LoopStatus(Integer begin,
                         Integer end,
                         Integer step)

### Method Detail

#### getBegin

    public Integer getBegin()

Specified by:
  `getBegin` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the begin.

#### getCount

    public int getCount()

Specified by:
  `getCount` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the count.

#### getCurrent

    public Object getCurrent()

Specified by:
  `getCurrent` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the current.

#### getEnd

    public Integer getEnd()

Specified by:
  `getEnd` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the end.

#### isFirst

    public boolean isFirst()

Specified by:
  `isFirst` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the first.

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the index.

#### isLast

    public boolean isLast()

Specified by:
  `isLast` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the last.

#### getStep

    public Integer getStep()

Specified by:
  `getStep` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
Returns:
  Returns the step.

#### setCount

    public void setCount(int count)

Parameters:
  `count` - The count to set.

#### setCurrent

    public void setCurrent(Object current)

Parameters:
  `current` - The current to set.

#### setFirst

    public void setFirst(boolean first)

Parameters:
  `first` - The first to set.

#### setLast

    public void setLast(boolean last)

Parameters:
  `last` - The last to set.

#### setIndex

    public void setIndex(int index)

Parameters:
  `index` - The index to set.